--英雄殿 快捷升星 一键升星Window
Lua_HeroFastUpOnekeyWindow = class("Lua_HeroFastUpOnekeyWindow", Lua_Window);
function Lua_HeroFastUpOnekeyWindow:ctor()
	self:superCall("ctor");
	self.showBlackMask = true;
    self.isClickClose = true;
	self.windowName = "Lua_HeroFastUpOnekeyWindow";
	self.skinName = "HeroFastUpOnekeyWindow_skin";
end

function Lua_HeroFastUpOnekeyWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.tipsTxt:setLangValue(126436);
	self.sureBtn:addClickFuntion(self, self.onSureBtnClick);

	self.itemList = Lua_DragList.new(self.content, 624, 526, Lua_AxisDefine.Vertical);
	self.itemList:setListCell(Lua_HeroFastUpOnekeyItem, 624, 134, 1);
	self.itemList:setCellSpacing(0, 9);
	self.itemList:setLocation(0, 26, 0);

	DataCenter.heroAssemblyData:initOneKeyUpStarAllInfo(); --初始化一键升星的所有数据
	self:updateShowInfo();
end

function Lua_HeroFastUpOnekeyWindow:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self.showArr = nil;
	self:superCall("dispose");
end

function Lua_HeroFastUpOnekeyWindow:updateShowInfo()
	self.showArr = DataCenter.heroAssemblyData.oneKeyUpStarVoArr;
	self.itemList:setArrayData(self.showArr);
end

function Lua_HeroFastUpOnekeyWindow:onSureBtnClick(go)
	local uidList = DataCenter.heroAssemblyData.onKeySelectUidList;
	if table.length(uidList) <= 0 then
		OperateAlert.showLangValue(126426);
		return;
	end

	local list = {};
	local index = 1;
	for k, v in pairs(uidList) do
		if v == 1 then
			list[index] = {};
			list[index].unique_id = k;
			list[index].Info =  DataCenter.heroAssemblyData.oneKeyUpStarCostInfo[k];

			index = index + 1;
		end
	end
	if self.showArr[1] ~= nil then
		DataCenter.heroAssemblyData.selectHeroVo = self.showArr[1];
		Lua_MsgUtil.callFunc("SELECT_HEROASSEMBLY_STAR", self.showArr[1]);
		Lua_MsgUtil.callFunc("UPDATE_COMP_SELECT");
	end
	DataCenter.heroUpStarData.bUpStarHeroVo = false;
	Lua_ProxyManager.getProxy("Lua_HeroAssemblyProxy"):sHeroFastUpStar(list, true);
	self:hide();
end



















Lua_HeroFastUpOnekeyItem = class("Lua_HeroFastUpOnekeyItem", Lua_ListCell);
function Lua_HeroFastUpOnekeyItem:ctor(p)
	self:superCall("ctor", p, "HeroFastUpOnekeyItem_skin");
end

function Lua_HeroFastUpOnekeyItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 254, 82, Lua_AxisDefine.Horizontal);
	self.itemList:setLocation(-15, 0, 0);
	self.itemList:setListCell(Lua_HeroFastUpOnekeySubItem, 82, 82, 1);
	self.itemList:setCellSpacing(9, 0);
	self:setSubList(self.itemList);
	
	self.itemIcon = Lua_ItemIcon.new(self.content);
	self.itemIcon:setScale(0.78, 0.78);
	self.itemIcon:setLocation(-247, 0, 0);
	self.itemIcon:setCanClick(true);

	self.upStarIcon = Lua_ItemIcon.new(self.content);
	self.upStarIcon:setScale(0.78, 0.78);
	self.upStarIcon:setLocation(205, 0, 0);
	self.upStarIcon:setCanClick(true);

	self.cbSelect:addBoxChange(self, self.onCheckBoxChange);
end

function Lua_HeroFastUpOnekeyItem:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	if self.itemIcon ~= nil then
		self.itemIcon:dispose();
		self.itemIcon = nil;
	end
	if self.upStarIcon ~= nil then
		self.upStarIcon:dispose();
		self.upStarIcon = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end

function Lua_HeroFastUpOnekeyItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end

	self.itemIcon:setData(data);

	local bSelected = DataCenter.heroAssemblyData.onKeySelectUidList[data.unique_id];
	self:onCheckBoxChange(bSelected == 1);

	local cfgData = DataCenter.heroUtil:getHeroAwakenStarConfigInfo(hvo.awaken_star_id);
    local nextCfgData = DataCenter.heroUtil:getHeroAwakenStarConfigInfo(cfgData.next_id);

	local upStarVo = Lua_HeroVo.new(data.id);
	upStarVo.quality = nextCfgData.quality;
	upStarVo.quality_star = nextCfgData.quality_star;
	upStarVo.level = data.level;
	self.upStarIcon:setData(upStarVo);

	local showArr = DataCenter.heroAssemblyData.oneKeyUpStarSubVoList[data.unique_id];
	self.itemList:setArrayData(showArr)
end

function Lua_HeroFastUpOnekeyItem:onPressClick()
	if self.data == nil then
		return;
	end
end

function Lua_HeroFastUpOnekeyItem:onCheckBoxChange(bSelected)
	if self.data == nil then return end;
	local select = bSelected and 1 or nil;
	self.cbSelect.selected = bSelected;
	DataCenter.heroAssemblyData.onKeySelectUidList[self.data.unique_id] = select;
end




















Lua_HeroFastUpOnekeySubItem = class("Lua_HeroFastUpOnekeySubItem", Lua_ListCell);
function Lua_HeroFastUpOnekeySubItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_HeroFastUpOnekeySubItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemIcon = Lua_ItemIcon.new(self.content);
	self.itemIcon:setScale(0.66, 0.66);
end

function Lua_HeroFastUpOnekeySubItem:dispose()
	if self.itemIcon ~= nil then
		self.itemIcon:dispose();
		self.itemIcon = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end

function Lua_HeroFastUpOnekeySubItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end
	self.itemIcon:setData(data);
end

function Lua_HeroFastUpOnekeySubItem:onPressClick()
	if self.data == nil then
		return;
	end
	DataCenter.packUtil:showItemInfo(self.data);
end