-- 升星消耗道具 item
Lua_HeroFastUpStarCostItem = class("Lua_HeroFastUpStarCostItem", Lua_DisplayObject);
function Lua_HeroFastUpStarCostItem:ctor(p)
    self:superCall("ctor", p);
end

function Lua_HeroFastUpStarCostItem:buildShowItem()
	self:superCall("buildShowItem");
    self.itemIcon = Lua_ItemIcon.new(self.content);
    self.itemIcon:setClick(self, self.onHeroIconClick);

    self.add_icon = UICreate.createUIAtlasImage(self.content, "hero_develop_altas", "xui_hb_button_10", 35, -37, 0, 0);
    self.add_icon:addClickFuntion(self, self.onHeroIconClick);
    self.add_icon:setEnable(false);
end

function Lua_HeroFastUpStarCostItem:setData(data)
    self.upStarCostVo = data;
    self.index = self.upStarCostVo.costMaterialsIndex;
    local hvo = data.heroVo;
    
    if hvo.id == 0 then
        self.itemIcon:setData(nil);
        self.itemIcon:setTypeIcon(hvo.campType);
        self.itemIcon:showHeroStar(hvo.quality, hvo.quality_star);
        self.itemIcon:setIconBg("common_altas_1", "xui_common_itembg_"..hvo.color);
        self.itemIcon:setIconImg("common_altas_1", "ui_common_hero_icon"..hvo.star);
    else
        self.itemIcon:setData(hvo);
    end
    self:setSelectNum();
end

function Lua_HeroFastUpStarCostItem:setSelectNum()
	local selectNum = DataCenter.heroUpStarData:getSelectHeroNumByIndex(self.index);
    local needNum = self.upStarCostVo.needNum;
    self.add_icon:setEnable(selectNum ~= needNum);
    self.itemIcon.iconBg:setGray(selectNum ~= needNum);
    self.itemIcon.iconImg:setGray(selectNum ~= needNum);
    
    if selectNum == needNum then
        selectNum = Lua_ColorDefine.getColorStr("63bd7d", selectNum);
    else
        selectNum = Lua_ColorDefine.getColorStr("FFFFFF", selectNum);
    end
    self.itemIcon:showText(2, selectNum.."/"..self.upStarCostVo.needNum);
end

function Lua_HeroFastUpStarCostItem:onHeroIconClick()
	Lua_WindowUtil.openWin("Lua_HeroSelectCostWindow", Lua_WinParam.ACTION_OPEN, self.upStarCostVo);
end

function Lua_HeroFastUpStarCostItem:dispose()
	if self.itemIcon ~= nil then
        self.itemIcon:dispose();
        self.itemIcon = nil;
    end
	self.add_icon = nil;
	self.upStarCostVo = nil;
	self:superCall("dispose");
end